<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getScriptExpGain](./bitburner.ns.getscriptexpgain_1.md)

## NS.getScriptExpGain() method

<b>Signature:</b>

```typescript
getScriptExpGain(script: string, host: string, ...args: string[]): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  script | string |  |
|  host | string |  |
|  args | string\[\] |  |

<b>Returns:</b>

number

